### Function

# Gio AppInfo get_default_for_uri_scheme_finish

since: 2.74

#### Declaration [src]

    GAppInfo*
    g_app_info_get_default_for_uri_scheme_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes a default `GAppInfo` lookup started by `g_app_info_get_default_for_uri_scheme_async()`.

If no `GAppInfo` is found, then `error` will be set to `G_IO_ERROR_NOT_FOUND`.

Available since: 2.74

#### Parameters

`result`

  Type: `GAsyncResult`

  The async result.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GAppInfo`

`GAppInfo` for given `uri_scheme` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.